### Method

# Clutter Actor add_effect

#### Declaration [src]

    void
    clutter_actor_add_effect (
      ClutterActor* self,
      ClutterEffect* effect
    )

#### Description [src]

Adds `effect` to the list of `ClutterEffect`s applied to `self`

The `ClutterActor` will hold a reference on the `effect` until either `clutter_actor_remove_effect()` or `clutter_actor_clear_effects()` is called.

#### Parameters

`effect`

  Type: `ClutterEffect`

  A `ClutterEffect`.

  The data is owned by the caller of the method.